package com.install4j.api.beaninfo;

/**
 * Enumeration class for all possible placements of the customizer in the install4j GUI.
 * @see Install4JBeanInfo#setCustomizerPlacement(CustomizerPlacement)
 */
public class CustomizerPlacement {

    /**
     * Place the customizer before the default "Properties" tab.
     */
    public static final CustomizerPlacement AFTER_PROPERTIES = new CustomizerPlacement();

    /**
     * Place the customizer after the default "Properties" tab.
     */
    public static final CustomizerPlacement BEFORE_PROPERTIES = new CustomizerPlacement();

    private CustomizerPlacement() {
    }
}
